org.apache.jmeter.util

## Class BSFTestElement

- java.lang.Object
- - org.apache.jmeter.testelement.AbstractTestElement
  - - org.apache.jmeter.util.ScriptingTestElement
    - - org.apache.jmeter.util.BSFTestElement

- All Implemented Interfaces:
    Serializable, Cloneable, Searchable, TestElement
  Direct Known Subclasses:
    BSFAssertion, BSFListener, BSFPostProcessor, BSFPreProcessor, BSFSampler, BSFTimer

      public abstract class BSFTestElement
      extends ScriptingTestElement
      implements Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.apache.jmeter.util.ScriptingTestElement

      `DEFAULT_SCRIPT_LANGUAGE, scriptLanguage`

    - ### Fields inherited from interface org.apache.jmeter.testelement.TestElement

      `COMMENTS, ENABLED, GUI_CLASS, NAME, TEST_CLASS`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `BSFTestElement()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Object` | `evalFileOrScript(org.apache.bsf.BSFManager mgr)`
    `protected org.apache.bsf.BSFManager` | `getManager()`
    `String` | `getScriptLanguage()`
    `protected void` | `initManager(org.apache.bsf.BSFManager mgr)`
    `protected void` | `processFileOrScript(org.apache.bsf.BSFManager mgr)`
    `void` | `setScriptLanguage(String s)`

    - ### Methods inherited from class org.apache.jmeter.util.ScriptingTestElement

      `getFilename, getParameters, getScript, isStopCondition, setFilename, setParameters, setScript`

    - ### Methods inherited from class org.apache.jmeter.testelement.AbstractTestElement

      `addPropertiesValues, addProperty, addProperty, addTestElement, canRemove, clear, clearTemporary, clearTestElementChildren, clone, emptyTemporary, equals, getComment, getName, getProperty, getPropertyAsBoolean, getPropertyAsBoolean, getPropertyAsDouble, getPropertyAsFloat, getPropertyAsInt, getPropertyAsInt, getPropertyAsLong, getPropertyAsLong, getPropertyAsString, getPropertyAsString, getSearchableTokens, getThreadContext, getThreadName, hashCode, isEnabled, isRunningVersion, isTemporary, logProperties, mergeIn, propertyIterator, recoverRunningVersion, removeProperty, setComment, setEnabled, setName, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setRunningVersion, setTemporary, setThreadContext, setThreadName, traverse, traverseCollection, traverseMap, traverseProperty`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.jmeter.testelement.TestElement

      `removed`

- - ### Constructor Detail

    - #### BSFTestElement

          protected BSFTestElement()

  - ### Method Detail

    - #### getManager

          protected org.apache.bsf.BSFManager getManager()
                                                  throws org.apache.bsf.BSFException

      Throws:
        `org.apache.bsf.BSFException`

    - #### initManager

          protected void initManager(org.apache.bsf.BSFManager mgr)
                              throws org.apache.bsf.BSFException

      Throws:
        `org.apache.bsf.BSFException`

    - #### processFileOrScript

          protected void processFileOrScript(org.apache.bsf.BSFManager mgr)
                                      throws org.apache.bsf.BSFException

      Throws:
        `org.apache.bsf.BSFException`

    - #### evalFileOrScript

          protected Object evalFileOrScript(org.apache.bsf.BSFManager mgr)
                                     throws org.apache.bsf.BSFException

      Throws:
        `org.apache.bsf.BSFException`

    - #### getScriptLanguage

          public String getScriptLanguage()

    - #### setScriptLanguage

          public void setScriptLanguage(String s)

Copyright © 1998-2022 Apache Software Foundation. All Rights Reserved.